So, I was browsing the forums over at SoundDomain and noticed a thread that said if your iPod is updated to 1.1.3, it will no longer work with your head unit. I was wondering if anyone could check it out or say if this is true or not. I'm not hooking up my iPod to my computer again for a while I guess.

From SoundDomain:

We have discovered that upon upgrade to version 1.1.3 iPods that previously worked as "full control" will no longer function properly. This includes all 5th gen as well as 6th gen models. The only way for you to continue using your iPod is to downgrade to version 1.1.2